import 'package:fl_chart/fl_chart.dart';
import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'package:intl/intl.dart';

import '../constants.dart';

class Graphs extends StatefulWidget {
  const Graphs({super.key});

  @override
  State<Graphs> createState() => _GraphsState();
}

class _GraphsState extends State<Graphs> {
  String? start_date;
  String? end_date;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          backgroundColor: Theme.of(context).colorScheme.inversePrimary,
          title: const Text('Graphs'),
          actions: [
            IconButton(
                icon: const Icon(Icons.arrow_back),
                onPressed: () => Navigator.of(context).pushReplacementNamed(
                      '/',
                    ))
          ],
        ),
        body: Center(
            child: Column(children: [
          Row(children: [
            const Text('Start'),
            SizedBox(
                width: 200,
                height: 40,
                child: TextField(
                  decoration: const InputDecoration(
                      icon: Icon(Icons.calendar_today),
                      labelText: "Enter Date"),
                  readOnly: true,
                  onTap: () async {
                    final DateTime? pickedDate = await showDatePicker(
                        context: context,
                        initialDate: DateTime.now(),
                        firstDate: DateTime(2023),
                        lastDate: DateTime(2101));

                    if (pickedDate != null) {
                      final String formattedDate =
                          DateFormat('dd.MM.yyyy').format(pickedDate);

                      print(formattedDate);
                    }
                  },
                  onChanged: (text) => start_date = text,
                ))
          ]),
          Row(children: [
            const Text('End'),
            SizedBox(
                width: 200,
                height: 40,
                child: TextField(
                  decoration: const InputDecoration(
                      icon: Icon(Icons.calendar_today),
                      labelText: "Enter Date"),
                  readOnly: true,
                  onTap: () async {
                    final DateTime? pickedDate = await showDatePicker(
                        context: context,
                        initialDate: DateTime.now(),
                        firstDate: DateTime(2023),
                        lastDate: DateTime(2101));

                    if (pickedDate != null) {
                      final String formattedDate =
                          DateFormat('dd.MM.yyyy').format(pickedDate);

                      print(formattedDate);
                    }
                  },
                  onChanged: (text) => end_date = text,
                ))
          ]),
          // LineChart(
          //   LineChartData(
          //       //
          //       ),
          //   duration: const Duration(milliseconds: 200),
          //   curve: Curves.linear,
          // )
        ])));
  }
}
